<%@ page contentType="text/html; charset=utf-8" %>
<%@ page language="java" %>
<%@ page errorPage="/errorPage.jsp" %>
<%@ taglib uri="/WEB-INF/struts-tiles.tld" prefix="tiles" %>

<%@ page import="com.sas.apps.citation.model.user.SessionScopeManager" %>
<%@ page import="com.sas.apps.citation.util.L10N" %>

<%
    SessionScopeManager smgr = SessionScopeManager.getSessionScopeManager(request);
    L10N resourceBundle = smgr.getL10N();
    // This next code was added with the WRS 4.3 hotfix effort to add links to the header
    // and footer dialog. Tried connecting them to image link dialog but it complained that
    // it was not a report element. Work around was to use the text link here which worked 
    // so fix up the label here.
    String forImageLink = request.getParameter("forImageLink");
    String defineLinkCheckboxLabelStr;
    if(forImageLink != null)
        defineLinkCheckboxLabelStr = resourceBundle.getString("reportLinking.dialog.imageLink.txt");
    else
        defineLinkCheckboxLabelStr = resourceBundle.getString("reportLinking.dialog.textLink.txt");
%>
<tiles:insert definition="buildReportLinkDialogLayout">
    <tiles:put name="defineLinkCheckboxLabel" value="<%=defineLinkCheckboxLabelStr%>"/>
    <tiles:put name="destinationOptionsWindowKey" value="cwDialogManager.BUILDER_DEFINE_TEXT_PROMPT"/>
</tiles:insert>